{
  "pages": [
    //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
    {
      "path": "pages/login/index"
    },
    {
      "path": "pages/login/registerOrForget/index"
    },
    {
      "path": "pages/login/setSelfInfo/index"
    },
    {
      "path": "pages/login/setPassword/index"
    },
    {
      "path": "pages/login/verifyCode/index"
    },
    {
      "path": "pages/profile/index/index"
    },
    {
      "path": "pages/conversation/conversationList/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false,
        "disableScroll": true,
        "app-plus": {
          "bounce": "none"
        }
      }
    },
    {
      "path": "pages/contact/index/index",
      "style": {
        "navigationBarTitleText": "",
        "disableScroll": true,
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/conversation/chating/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false,
        "disableScroll": true,
        "app-plus": {
          "softinputMode": "adjustResize"
        }
      }
    },
    {
      "path": "pages/conversation/singleSettings/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/conversation/groupSettings/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/conversation/groupManage/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/conversation/groupMemberList/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/common/userCard/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/common/searchUserOrGroup/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/common/groupCard/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/common/userCardMore/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/common/markOrIDPage/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/common/detailsFileds/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/common/contactChoose/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false,
        "disableScroll": true
      }
    },
    {
      "path": "pages/common/createGroup/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/contact/contactAdd/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/contact/switchJoinGroup/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/contact/friendList/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/contact/groupList/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/contact/searchUserOrGroup/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/contact/applicationList/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/contact/applicationListDetails/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/contact/applicationDetails/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/profile/selfInfo/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/profile/accountSetting/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/profile/blockList/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/conversation/updateGroupOrNickname/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/common/sendAddRequest/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/common/webviewWrapper/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/profile/about/index",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/workbench/index/index",
      "style": {
        "navigationBarTitleText": "工作台",
        "enablePullDownRefresh": false
      }
    },
    {
    	"path" : "pages/workbench/reportWork/reportWork",
    	"style" : 
    	{
			"navigationBarTitleText": "每日报工",
			"navigationStyle": "default"
    	}
    },
    {
    	"path" : "pages/workbench/construction/construction",
    	"style" : 
    	{
    		"navigationBarTitleText" : "施工进度",
			"navigationStyle": "default"
    	}
    },
	{
		"path" : "pages/workbench/construction/detail",
		"style" : 
		{
			"navigationBarTitleText" : "施工进度详情",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/task/task",
		"style" : 
		{
			"navigationBarTitleText" : "任务中心",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/task/create",
		"style" : 
		{
			"navigationBarTitleText" : "新增任务",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/task/reportTaskDetail",
		"style" : 
		{
			"navigationBarTitleText" : "任务详情",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/reportSchedule/reportSchedule",
		"style" : 
		{
			"navigationBarTitleText" : "项目排产",
      "navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/reportSchedule/gantt",
		"style" : 
		{
			"navigationBarTitleText" : "项目排产",
      "navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/express/express",
		"style" : 
		{
			"navigationBarTitleText" : "快递信息",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/project/project",
		"style" : 
		{
			"navigationBarTitleText" : "项目中心",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/wms/wms",
		"style" : 
		{
			"navigationBarTitleText" : "库存管理",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/project/add",
		"style" : 
		{
			"navigationBarTitleText" : "新建项目",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/project/detail",
		"style" : 
		{
			"navigationBarTitleText" : "项目详情",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/sales/sales",
		"style" : 
		{
			"navigationBarTitleText" : "线上营销",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/feedback/feedback",
		"style" : 
		{
			"navigationBarTitleText" : "问题反馈",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/feedback/detail",
		"style" : 
		{
			"navigationBarTitleText" : "反馈详情",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/feedback/create",
		"style" : 
		{
			"navigationBarTitleText" : "新建反馈",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/profit/profit",
		"style" : 
		{
			"navigationBarTitleText" : "项目盈亏",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/attendance/attendance",
		"style" : 
		{
			"navigationBarTitleText" : "人员考勤",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/smartWM/smartWM",
		"style" : 
		{
			"navigationBarTitleText" : "智慧库房",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/wms/purchase",
		"style" : 
		{
			"navigationBarTitleText" : "采购进度",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/wms/in",
		"style" : 
		{
			"navigationBarTitleText" : "入库记录",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/wms/out",
		"style" : 
		{
			"navigationBarTitleText" : "出库记录",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/process/process",
		"style" : 
		{
			"navigationBarTitleText" : "流程管理",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/workflow/apply/apply",
		"style" : 
		{
			"navigationBarTitleText" : "我的申请",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/workflow/todo/todo",
		"style" : 
		{
			"navigationBarTitleText" : "代办任务",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/workflow/finished/finished",
		"style" : 
		{
			"navigationBarTitleText" : "已办任务",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/workflow/detail/detail",
		"style" : 
		{
			"navigationBarTitleText" : "流程详情",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/workflow/start/start",
		"style" : 
		{
			"navigationBarTitleText" : "发起流程",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/user/user",
		"style" : 
		{
			"navigationBarTitleText" : "用户管理",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/cost/cost",
		"style" : 
		{
			"navigationBarTitleText" : "项目成本",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/project/schedule",
		"style" : 
		{
			"navigationBarTitleText" : "项目进度",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/project/step",
		"style" : 
		{
			"navigationBarTitleText" : "进度明细",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/notice/notice",
		"style" : 
		{
			"navigationBarTitleText" : "通知公告",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/article/article",
		"style" : 
		{
			"navigationBarTitleText" : "文章详情",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/customer/customer",
		"style" : 
		{
			"navigationBarTitleText" : "客户管理",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/profit/project",
		"style" : 
		{
			"navigationBarTitleText" : "项目明细",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/profit/cost",
		"style" : 
		{
			"navigationBarTitleText" : "项目明细详情",
			"navigationStyle": "default"
		}
	},
	{
		"path" : "pages/workbench/requirement/requirement",
		"style" : 
		{
			"navigationBarTitleText" : "采购需求",
			"navigationStyle": "default"
		}
	},
	{
		"path": "pages/workbench/hrm/approve/approve",
		"style": {
			"navigationBarTitleText": "办公审批",
			"navigationStyle": "default"
		}
	},
	{
		"path": "pages/workbench/hrm/cc/cc",
		"style": {
			"navigationBarTitleText": "抄送我的",
			"navigationStyle": "default"
		}
	},
	{
		"path": "pages/workbench/hrm/detail/detail",
		"style": {
			"navigationBarTitleText": "申请详情",
			"navigationStyle": "default"
		}
	},
	{
		"path": "pages/workbench/hrm/apply/apply",
		"style": {
			"navigationBarTitleText": "我的申请",
			"navigationStyle": "default"
		}
	},
	{
		"path": "pages/hrm/approve/approve",
		"style": {
			"navigationBarTitleText": "办公审批",
			"navigationStyle": "default"
		}
	}
  ],
  "tabBar": {
    "color": "#8E9AB0",
    "selectedColor": "#0089FF",
    "borderStyle": "black",
    "backgroundColor": "#ffffff",
    "height": "55px",
    "list": [
      {
        "pagePath": "pages/conversation/conversationList/index",
        "iconPath": "./static/images/tabbar_conversation.png",
        "selectedIconPath": "static/images/tabbar_conversation_active.png",
        "text": "消息"
      },
			{
				"pagePath": "pages/hrm/approve/approve",
				"iconPath": "/static/images/tabbar_shenpi.png",
				"selectedIconPath": "/static/images/tabbar_shenpi_active.png",
				"text": "审批"
			},
      // {
      //   "pagePath": "pages/contact/index/index",
      //   "iconPath": "./static/images/tabbar_contacts.png",
      //   "selectedIconPath": "static/images/tabbar_contacts_active.png",
      //   "text": "通讯录"
      // },
      {
        "pagePath": "pages/workbench/index/index",
        "iconPath": "/static/images/tabbar_workbench.png",
        "selectedIconPath": "/static/images/tabbar_workbench_active.png",
        "text": "工作台"
      },
      {
        "pagePath": "pages/profile/index/index",
        "iconPath": "./static/images/tabbar_profile.png",
        "selectedIconPath": "static/images/tabbar_profile_active.png",
        "text": "我的"
      }
    ]
  },
  "globalStyle": {
    "navigationStyle": "custom",
    "navigationBarTextStyle": "black",
    "app-plus": {
      "bounce": "none"
    }
  },
	"easycom": {
		"autoscan": true,
		"custom": {
			"^oa-(.*)": "components/oa/oa-$1/index.vue",
			"^fad-(.*)": "components/fad-ui/fad-$1/index.vue"
		}
	}
}
